﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;


namespace AreaChartPDF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        PdfDocument pdfDoc;
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ChartToPDF()
        {
            MemoryStream outStream = new MemoryStream();
            chart.Save(outStream, new BmpBitmapEncoder());
            PdfPage page = pdfDoc.Pages.Add();
            PdfBitmap img = new PdfBitmap(outStream);
            page.Graphics.DrawImage(img, 0, 0, 500, 250);
            outStream.Close();
        }

        private void SavePDF(string pdfFile)
        {
            pdfDoc.Save(pdfFile);
            System.Diagnostics.Process.Start(pdfFile);
        }
        
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            pdfDoc = new PdfDocument();
            ChartToPDF();
            SavePDF("chartpdf.pdf");
        }
    }
}
